package flugreservation;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public interface Datenbank {
  public KundenInfo [] liesKunde(String nName, String vName);
  public KundenInfo liesKunde(String kundenID);
  public void neuerKunde (String id, String nName, String vName, String addr);
  public void bestehenderKunde(String id, String nName, String vName, String addr);
  public void taetigeReservation(String id, String flug, String confirm, String sKlasse);

  public String [] bestimmeAbflughafen();
  public String [] bestimmeDestination();
  public boolean   legeSitzFest (KundenReservationsInfo res);
  public FlugInfo [] bestimmeFlug(String origin, String dest, String datum);
}